unit configure;

{***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************}
 
{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  Buttons, ComCtrls, StdCtrls, Spin;

type

  { TfrmConfigure }

  TfrmConfigure = class(TForm)
    Bevel1: TBevel;
    btOK: TBitBtn;
    btCancel: TBitBtn;
    cbSmoothVel: TCheckBox;
    cbUseOctaveScript: TCheckBox;
    eMinTime: TEdit;
    eNumZero: TEdit;
    eTol: TEdit;
    eRegClen: TEdit;
    Label13: TLabel;
    Label14: TLabel;
    seMinVel: TFloatSpinEdit;
    seMaxVel: TFloatSpinEdit;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label9: TLabel;
    seDepthUncert: TFloatSpinEdit;
    Label8: TLabel;
    seVelUncert: TFloatSpinEdit;
    seDepthPrior: TFloatSpinEdit;
    Label5: TLabel;
    Label6: TLabel;
    seVelPrior: TFloatSpinEdit;
    ScrollBox1: TScrollBox;
    seScale: TFloatSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    PageControl1: TPageControl;
    Panel1: TPanel;
    seNrOfPass: TSpinEdit;
    seNrOfIt: TSpinEdit;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure FormResize(Sender: TObject);
    procedure btOKClick(Sender: TObject);
    procedure cbSmoothVelClick(Sender: TObject);
    procedure cbUseOctaveScriptChange(Sender: TObject);
    procedure eRegClenExit(Sender: TObject);
    procedure frmConfigureShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  frmConfigure: TfrmConfigure;
  RegClenMain: double;

implementation

{ TfrmConfigure }

uses
  main;

procedure TfrmConfigure.cbSmoothVelClick(Sender: TObject);
begin
  if cbSmoothVel.Checked = True then
    begin
      seNrOfpass.Enabled := True;
//      SmoothVel := True;
    end
  else
    begin
      seNrOfPass.Enabled := False;
//      SmoothVel := False;
    end;
end;

procedure TfrmConfigure.cbUseOctaveScriptChange(Sender: TObject);
begin
  if cbUseOctaveScript.Checked = False then
   begin
     UseOctaveScript := False;
     TabSheet2.Enabled := True;
   end
  else
    begin
      UseOctaveScript := True;
      TabSheet2.Enabled := False;
    end;
     
end;

procedure TfrmConfigure.btOKClick(Sender: TObject);
begin
//  frmConfigure.Destroy;
end;

procedure TfrmConfigure.FormResize(Sender: TObject);
begin
  Bevel1.Width := frmConfigure.Width;
end;


procedure TfrmConfigure.eRegClenExit(Sender: TObject);
//var
//  tmp: string;
begin
{  tmp := eRegClen.Text;
  try
    RegClen := StrToFloat(tmp)
  except
    Delete(tmp, Length(tmp) - 1, 1);
    eRegClen.Text := tmp;
  end;}
  RegClenMain := StrToFloat(eRegClen.Text);
end;

procedure TfrmConfigure.frmConfigureShow(Sender: TObject);
begin
  if SmoothVel = True then
    begin
      cbSmoothVel.Checked := True;
      seNrOfPass.Enabled := True;
    end
  else
    begin
      cbSmoothVel.Checked := False;
      seNrOfPass.Enabled := False;
    end;
{  frmConfigure.seNrOfPass.Value := NrOfPass + 1;
  frmConfigure.seNrOfPass.Value := NrOfPass;
  frmConfigure.seNrOfIt.Value := MaxIt + 1;
  frmConfigure.seNrOfIt.Value := MaxIt; }
end;



initialization
  {$I configure.lrs}

end.

